/* Populate with current location */
let locationDiv = document.getElementById("locationList");

if (localStorage.curLocation != null) {
	locationDiv.innerHTML = localStorage.curLocation;
}

/* Run code on submit button push */
let locationForm = document.getElementById("locationForm");
locationForm.addEventListener("submit", function(event) {
	let name = locationForm.elements.namedItem("name").value;
	let state = locationForm.elements.namedItem("state").value;
    let new_curLocation = formattedLocation(name, state);

    if (localStorage.curLocation == undefined) {
        localStorage.curLocation = new_curLocation;
    } else {
        localStorage.curLocation += new_curLocation;
    }
	
	let locationDiv = document.getElementById("locationList");
	locationDiv.innerHTML = localStorage.curLocation;
	locationDiv.classList.add("highlight");

	/* This stops the usual function of "submit" which is to send data
	to another server */
	event.preventDefault();
})

let formattedLocation = (form_name, form_state) => {
    return `${form_name}: ${form_state}<br />`
}